GIT-UBUNTU-TAG(1)

NAME
git-ubuntu-tag - Create Git tags respecting DEP14 and debian/changelog

SYNOPSIS
git ubuntu tag [--logical | --split | --reconstruct | --upload | --format <format>] [--bug <bug>] [-d | --directory <directory>] [-f | --force] [--print-name-only] [<commitish>]

DESCRIPTION
git-ubuntu-merge(1) and potentially other commands expect to use and resolve specific tags including source package versions. However, debian/changelog and Git conflict on the use of certain reserved characters, such as "~", ":" and ".". To resolve this, Debian has a standard DEP14 http://dep.debian.net/deps/dep14/ which covers the appropriate transformations for versions. git-ubuntu follows this convention for "version mangling" but not necessarily any others.

OPTIONS

--logical, --split, --reconstruct, --upload, --format <format>
    Specify a format for the created tag. The first four forms are standardized for git-ubuntu usage and generate tags, respectively, "logical/%(version)s", "split/%(version)s", "reconstruct/%(version)s", "upload/%(versions)s", where "%(versions)" will be replaced by the DEP14 mangling of the last version in debian/changelog as present in <commitish>. The last form allows free-form formatting. If none of these options are given, an upload tag will be created.

--bug <bug>
    Launchpad bug to use to namespace the tags. If specified, this will prefix the tag with "lp<bug>/".

-d <directory>, --directory <directory>
    The local directory to tag in. If not specified, the current directory is used.

-f, --force
    Overwrite existing tags, if necessary.

--print-name-only
    Only print the name of the specified tag, but do not create. This can be useful for use by other scripts.

[<commitish>]
    The commitish in the repository to tag. If not specified, HEAD is tagged.

EXIT STATUS
git ubuntu tag exits with status 0 if the command completes successfully. git ubuntu tag exits with nonzero exit status on errors.

REPORTING BUGS
Report bugs at https://bugs.launchpad.net/git-ubuntu .

GIT-UBUNTU
Part of the git-ubuntu(1) suite